🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Sub Sub periods of chardasha

The sub_sub_chardasha API response provides information on the sub-sub periods (or planetary sub-periods) of a person's life according to Vedic astrology. It includes the start and end dates, sign IDs, and sign names for each sub-sub period within the current sub-period and major period.
POSThttps://json.astrologyapi.com/v1/sub_sub_chardasha

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/sub_sub_chardasha' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "major_dasha": {
    "sign_id": 0,
    "sign_name": "Aries",
    "duration": "3 Years",
    "start_date": "16-8-2027",
    "end_date": "16-8-2030"
  },
  "sub_dasha": {
    "sign_id": 0,
    "sign_name": "Aries",
    "duration": "3 Months",
    "start_date": "16-5-2030",
    "end_date": "16-8-2030"
  },
  "sub_sub_dasha": [
    {
      "sign_id": 1,
      "sign_name": "Taurus",
      "start_date": "16-5-2030",
      "end_date": "23-5-2030"
    },
    {
      "sign_id": 2,
      "sign_name": "Gemini",
      "start_date": "23-5-2030",
      "end_date": "31-5-2030"
    },
    {
      "sign_id": 3,
      "sign_name": "Cancer",
      "start_date": "31-5-2030",
      "end_date": "8-6-2030"
    },
    {
      "sign_id": 4,
      "sign_name": "Leo",
      "start_date": "8-6-2030",
      "end_date": "15-6-2030"
    },
    {
      "sign_id": 5,
      "sign_name": "Virgo",
      "start_date": "15-6-2030",
      "end_date": "23-6-2030"
    },
    {
      "sign_id": 6,
      "sign_name": "Libra",
      "start_date": "23-6-2030",
      "end_date": "1-7-2030"
    },
    {
      "sign_id": 7,
      "sign_name": "Scorpio",
      "start_date": "1-7-2030",
      "end_date": "8-7-2030"
    },
    {
      "sign_id": 8,
      "sign_name": "Sagittarius",
      "start_date": "8-7-2030",
      "end_date": "16-7-2030"
    },
    {
      "sign_id": 9,
      "sign_name": "Capricorn",
      "start_date": "16-7-2030",
      "end_date": "24-7-2030"
    },
    {
      "sign_id": 10,
      "sign_name": "Aquarius",
      "start_date": "24-7-2030",
      "end_date": "31-7-2030"
    },
    {
      "sign_id": 11,
      "sign_name": "Pisces",
      "start_date": "31-7-2030",
      "end_date": "8-8-2030"
    },
    {
      "sign_id": 0,
      "sign_name": "Aries",
      "start_date": "8-8-2030",
      "end_date": "16-8-2030"
    }
  ]
}